svn commit: r419680 - svnadmin/hooks/scripts

Mathieu Arnold mat at FreeBSD.org
Fri Aug 5 12:21:07 UTC 2016


Author: mat
Date: Fri Aug  5 12:21:05 2016
New Revision: 419680
URL: https://svnweb.freebsd.org/changeset/ports/419680

Log:
  Add a hook to make sure the distinfo files don't get updated without
  their TIMESTAMP.
  
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D7114

Modified:
  svnadmin/hooks/scripts/stage-only.sh

Modified: svnadmin/hooks/scripts/stage-only.sh
==============================================================================
--- svnadmin/hooks/scripts/stage-only.sh	Fri Aug  5 10:20:22 2016	(r419679)
+++ svnadmin/hooks/scripts/stage-only.sh	Fri Aug  5 12:21:05 2016	(r419680)
@@ -42,5 +42,12 @@ for line in $(svnlook changed -t $TXN $R
 			exit 1
 		fi
 	;;
+	head/*/*/distinfo*)
+		if ! svnlook cat -t ${TXN} ${REPO} $fpath | grep -q '^TIMESTAMP = [0-9]*$' ; then
+			echo "Do not commit ports without TIMESTAMP in their distinfo files." 1>&2
+			echo "Rerun make makesum to add it." 1>&2
+			exit 1
+		fi
+	;;
 	esac
 done


More information about the svn-ports-all mailing list